<?
//session_start();
require("funciones.php");
require("../conectar.php");

$periodo=$_POST["anio"]."-".$_POST["mes"];
$periodos=$periodo."-03";
$emp="SELECT  idempleado from nomina where periodo='$periodos'";
$empl=mysql_query($emp);
$exi=mysql_num_rows($empl);
if($exi>0)
{ 
	if(isset($_POST["boton"]))
	{
	$periodo=$_POST["anio"]."-".$_POST["mes"];
	$periodos=$periodo."-03";
		for($x=1;$x<=$_POST["ultimo"];$x++)
		{
		$idw=$_POST["idemp$x"];
		$bonow=$_POST["bono$x"];
		$comisw=$_POST["comision$x"];
		$extraw=$_POST["extra$x"];
		$aguinw=$_POST["aguinaldo$x"];
		$ajustew=$_POST["ajuste$x"];
		$totalw=$_POST["total$x"];
		$basew=$_POST["sueldo$x"];
		$diastr=$_POST["diastrabajados$x"];
		$descuentow=$_POST["descuento$x"];
				$sql="update  nomina SET bono='$bonow', comision='$comisw' , extra='$extraw', aguinaldo='$aguinw', ajuste='$ajustew',total='$totalw',base='$basew',diastrabajados='$diastr',descuento='$descuentow' WHERE idempleado='$idw' and periodo='$periodos'";
				$update=mysql_query($sql);
			if(!$update){
				$sql="Insert INTO nomina (idempleado, periodo, bono, comision,extra, aguinaldo, ajuste,total,base,diastrabajados,descuento) values ('$idw','$periodos','$bonow','$comisw','$extraw','$aguinw','$ajustew','$totalw','$basew','$diastr','$descuentow')";
				mysql_query($sql);
				}
		}
	}
}

else
{
if(isset($_POST["boton"]))
	{
	$periodo=$_POST["anio"]."-".$_POST["mes"];
	$periodos=$periodo."-03";
	for($x=1;$x<=$_POST["ultimo"];$x++)
			{
			$idw=$_POST["idemp$x"];
			$bonow=$_POST["bono$x"];
			$comisw=$_POST["comision$x"];
			$extraw=$_POST["extra$x"];
			$aguinw=$_POST["aguinaldo$x"];
			$ajustew=$_POST["ajuste$x"];
			$totalw=$_POST["total$x"];
			$basew=$_POST["base$x"];
			$diastr=$_POST["diastrabajados$x"];
			$descuentow=$_POST["descuento$x"];

			$sql="Insert INTO  nomina (idempleado, periodo, bono, comision,extra, aguinaldo, ajuste,total,base,diastrabajados,descuento) values ('$idw','$periodos','$bonow','$comisw','$extraw','$aguinw','$ajustew','$totalw','$basew','$diastr','$descuentow')";
			mysql_query($sql);
			}	

		}
}
header("location:nominas.php?periodo=$periodos");